# src/crc/Makefile.inc

app := crc
rel := src/$(app)

DIRS += $(rel)
DIST += $(rel)/Makefile.inc

CRC_BAS  := $(app)
CRC_SRC  := $(foreach f,$(CRC_BAS),$(rel)/$(f).c)
CRC_OBJ  := $(foreach f,$(CRC_BAS),$(rel)/$(f).o)
CRC_HDR  := $(foreach f,$(CRC_BAS),$(rel)/$(f).h)
CRC_MAN1 := $(rel)/$(app).1
CRC_BIN  := $(rel)/$(app)

CRC_EXT_BAS := common crc strarg strtoint
CRC_EXT_HDR := $(foreach f,$(CRC_EXT_BAS),src/lib/$(f).h) src/lib/config.h
CRC_EXT_OBJ := $(foreach f,$(CRC_EXT_BAS),src/lib/$(f).o)

BIN  += $(CRC_BIN)
MAN1 += $(CRC_MAN1)
CLN  += $(CRC_BIN) $(CRC_OBJ)
DIST += $(CRC_SRC) $(CRC_HDR) $(CRC_MAN1)

$(rel)/$(app).o: $(rel)/$(app).c $(CRC_HDR) $(CRC_EXT_HDR)

$(rel)/$(app): $(CRC_EXT_OBJ) $(CRC_OBJ)
	$(QP)echo "  LD     $@"
	$(QR)$(LD) $(LDFLAGS_DEFAULT) $(CRC_OBJ) $(CRC_EXT_OBJ) -o $@
