# src/ecc/Makefile.inc

app := ecc
rel := src/$(app)

DIRS += $(rel)
DIST += $(rel)/Makefile.inc $(rel)/ecc.txt

ECC_BAS  := $(app) hamming
ECC_SRC  := $(foreach f,$(ECC_BAS),$(rel)/$(f).c)
ECC_OBJ  := $(foreach f,$(ECC_BAS),$(rel)/$(f).o)
ECC_HDR  := $(foreach f,$(ECC_BAS),$(rel)/$(f).h)
ECC_MAN1 := $(rel)/$(app).1
ECC_BIN  := $(rel)/$(app)

ECC_EXT_BAS := common strarg strtoint
ECC_EXT_HDR := $(foreach f,$(ECC_EXT_BAS),src/lib/$(f).h) src/lib/config.h
ECC_EXT_OBJ := $(foreach f,$(ECC_EXT_BAS),src/lib/$(f).o)

BIN  += $(ECC_BIN)
MAN1 += $(ECC_MAN1)
CLN  += $(ECC_BIN) $(ECC_OBJ)
DIST += $(ECC_SRC) $(ECC_HDR) $(ECC_MAN1)

$(rel)/$(app).o:  $(rel)/$(app).c $(ECC_HDR) $(ECC_EXT_HDR)
$(rel)/hamming.o: $(rel)/hamming.c $(rel)/hamming.h $(ECC_EXT_HDR)

$(rel)/$(app): $(ECC_EXT_OBJ) $(ECC_OBJ)
	$(QP)echo "  LD     $@"
	$(QR)$(LD) $(LDFLAGS_DEFAULT) $(ECC_OBJ) $(ECC_EXT_OBJ) -o $@
