# src/ihex/Makefile.inc

app := ihex
rel := src/$(app)

DIRS += $(rel)
DIST += $(rel)/Makefile.inc

IHEX_BAS  := $(app)
IHEX_SRC  := $(foreach f,$(IHEX_BAS),$(rel)/$(f).c)
IHEX_OBJ  := $(foreach f,$(IHEX_BAS),$(rel)/$(f).o)
IHEX_HDR  := $(foreach f,$(IHEX_BAS),$(rel)/$(f).h)
IHEX_MAN1 := $(rel)/$(app).1
IHEX_BIN  := $(rel)/$(app)

IHEX_EXT_BAS := common strarg strtoint crc
IHEX_EXT_HDR := $(foreach f,$(IHEX_EXT_BAS),src/lib/$(f).h) src/lib/config.h
IHEX_EXT_OBJ := $(foreach f,$(IHEX_EXT_BAS),src/lib/$(f).o)

BIN  += $(IHEX_BIN)
MAN1 += $(IHEX_MAN1)
CLN  += $(IHEX_BIN) $(IHEX_OBJ)
DIST += $(IHEX_SRC) $(IHEX_HDR) $(IHEX_MAN1)

$(rel)/$(app).o: $(rel)/$(app).c $(IHEX_HDR) $(IHEX_EXT_HDR)

$(rel)/$(app): $(IHEX_EXT_OBJ) $(IHEX_OBJ)
	$(QP)echo "  LD     $@"
	$(QR)$(LD) $(LDFLAGS_DEFAULT) $(IHEX_OBJ) $(IHEX_EXT_OBJ) -o $@
