# src/lib/Makefile.inc

rel := src/lib

DCL  += $(rel)/config.h
DIRS += $(rel)
DIST += $(rel)/Makefile.inc $(rel)/config.h.in

# ----------------------------------------------------------------------
# main

LIB_BAS  := \
	adler32 \
	common \
	crc \
	date \
	file \
	md2 \
	md4 \
	md5 \
	rmd160 \
	sha1 \
	sha224 \
	sha256 \
	sha384 \
	sha512 \
	socket \
	strarg \
	stresc \
	strtoint

LIB_SRC := $(foreach f,$(LIB_BAS),$(rel)/$(f).c)
LIB_OBJ := $(foreach f,$(LIB_BAS),$(rel)/$(f).o)
LIB_HDR := $(foreach f,$(LIB_BAS),$(rel)/$(f).h)
LIB_ARC := $(rel)/misc.a
LIB_SDP := $(rel)/config.h $(rel)/common.h

CLN  += $(LIB_ARC) $(LIB_OBJ)
DIST += $(LIB_SRC) $(LIB_HDR)

$(rel)/adler32.o:	$(rel)/adler32.c $(rel)/adler32.h $(LIB_SDP)
$(rel)/common.o:	$(rel)/common.c $(rel)/common.h $(LIB_SDP)
$(rel)/crc.o:		$(rel)/crc.c $(rel)/crc.h $(LIB_SDP)
$(rel)/date.o:		$(rel)/date.c $(rel)/date.h $(LIB_SDP)
$(rel)/file.o:		$(rel)/file.c $(rel)/file.h $(rel)/common.h $(LIB_SDP)
$(rel)/md2.o:		$(rel)/md2.c $(rel)/md2.h $(LIB_SDP)
$(rel)/md4.o:		$(rel)/md4.c $(rel)/md4.h $(LIB_SDP)
$(rel)/md5.o:		$(rel)/md5.c $(rel)/md5.h $(LIB_SDP)
$(rel)/rmd160.o:	$(rel)/rmd160.c $(rel)/rmd160.h $(LIB_SDP)
$(rel)/sha1.o:		$(rel)/sha1.c $(rel)/sha1.h $(LIB_SDP)
$(rel)/sha224.o:	$(rel)/sha224.c $(rel)/sha224.h $(LIB_SDP)
$(rel)/sha256.o:	$(rel)/sha256.c $(rel)/sha256.h $(LIB_SDP)
$(rel)/sha384.o:	$(rel)/sha384.c $(rel)/sha384.h $(LIB_SDP)
$(rel)/sha512.o:	$(rel)/sha512.c $(rel)/sha512.h $(LIB_SDP)
$(rel)/socket.o:	$(rel)/socket.c $(rel)/socket.h $(LIB_SDP)
$(rel)/strarg.o:	$(rel)/strarg.c $(rel)/strarg.h $(LIB_SDP)
$(rel)/stresc.o:	$(rel)/stresc.c $(rel)/stresc.h $(LIB_SDP)
$(rel)/strtoint.o:	$(rel)/strtoint.c $(rel)/strtoint.h $(LIB_SDP)

$(rel)/misc.a: $(LIB_OBJ)
