# src/sched/Makefile.inc

app := sched
rel := src/$(app)

DIRS += $(rel)
DIST += $(rel)/Makefile.inc

SCHED_BAS  := $(app)
SCHED_SRC  := $(foreach f,$(SCHED_BAS),$(rel)/$(f).c)
SCHED_OBJ  := $(foreach f,$(SCHED_BAS),$(rel)/$(f).o)
SCHED_HDR  := $(foreach f,$(SCHED_BAS),$(rel)/$(f).h)
SCHED_MAN1 := $(rel)/$(app).1
SCHED_BIN  := $(rel)/$(app)

SCHED_EXT_BAS := common strarg strtoint
SCHED_EXT_HDR := $(foreach f,$(SCHED_EXT_BAS),src/lib/$(f).h) src/lib/config.h
SCHED_EXT_OBJ := $(foreach f,$(SCHED_EXT_BAS),src/lib/$(f).o)

ifeq "$(MISC_BUILD_SCHED)" "1"
BIN  += $(SCHED_BIN)
MAN1 += $(SCHED_MAN1)
endif

CLN  += $(SCHED_BIN) $(SCHED_OBJ)
DIST += $(SCHED_SRC) $(SCHED_HDR) $(SCHED_MAN1)

$(rel)/$(app).o: $(rel)/$(app).c $(SCHED_HDR) $(SCHED_EXT_HDR)

$(rel)/$(app): $(SCHED_EXT_OBJ) $(SCHED_OBJ)
	$(QP)echo "  LD     $@"
	$(QR)$(LD) $(LDFLAGS_DEFAULT) $(SCHED_OBJ) $(SCHED_EXT_OBJ) $(MISC_LIB_SCHED) -o $@
