# src/sha1/Makefile.inc

app := sha1
rel := src/$(app)

DIRS += $(rel)
DIST += $(rel)/Makefile.inc

SHA1_BAS  := $(app)
SHA1_SRC  := $(foreach f,$(SHA1_BAS),$(rel)/$(f).c)
SHA1_OBJ  := $(foreach f,$(SHA1_BAS),$(rel)/$(f).o)
SHA1_HDR  := $(foreach f,$(SHA1_BAS),$(rel)/$(f).h)
SHA1_MAN1 := $(rel)/$(app).1
SHA1_BIN  := $(rel)/$(app)

SHA1_EXT_BAS := common sha1 strarg strtoint
SHA1_EXT_HDR := $(foreach f,$(SHA1_EXT_BAS),src/lib/$(f).h) src/lib/config.h
SHA1_EXT_OBJ := $(foreach f,$(SHA1_EXT_BAS),src/lib/$(f).o)

BIN  += $(SHA1_BIN)
MAN1 += $(SHA1_MAN1)
CLN  += $(SHA1_BIN) $(SHA1_OBJ)
DIST += $(SHA1_SRC) $(SHA1_HDR) $(SHA1_MAN1)

$(rel)/$(app).o: $(rel)/$(app).c $(SHA1_HDR) $(SHA1_EXT_HDR)

$(rel)/$(app): $(SHA1_EXT_OBJ) $(SHA1_OBJ)
	$(QP)echo "  LD     $@"
	$(QR)$(LD) $(LDFLAGS_DEFAULT) $(SHA1_OBJ) $(SHA1_EXT_OBJ) -o $@
