# src/sha256/Makefile.inc

app := sha256
rel := src/$(app)

DIRS += $(rel)
DIST += $(rel)/Makefile.inc

SHA256_BAS  := $(app)
SHA256_SRC  := $(foreach f,$(SHA256_BAS),$(rel)/$(f).c)
SHA256_OBJ  := $(foreach f,$(SHA256_BAS),$(rel)/$(f).o)
SHA256_HDR  := $(foreach f,$(SHA256_BAS),$(rel)/$(f).h)
SHA256_MAN1 := $(rel)/$(app).1
SHA256_BIN  := $(rel)/$(app)

SHA256_EXT_BAS := common sha256 strarg strtoint
SHA256_EXT_HDR := $(foreach f,$(SHA256_EXT_BAS),src/lib/$(f).h) src/lib/config.h
SHA256_EXT_OBJ := $(foreach f,$(SHA256_EXT_BAS),src/lib/$(f).o)

BIN  += $(SHA256_BIN)
MAN1 += $(SHA256_MAN1)
CLN  += $(SHA256_BIN) $(SHA256_OBJ)
DIST += $(SHA256_SRC) $(SHA256_HDR) $(SHA256_MAN1)

$(rel)/$(app).o: $(rel)/$(app).c $(SHA256_HDR) $(SHA256_EXT_HDR)

$(rel)/$(app): $(SHA256_EXT_OBJ) $(SHA256_OBJ)
	$(QP)echo "  LD     $@"
	$(QR)$(LD) $(LDFLAGS_DEFAULT) $(SHA256_OBJ) $(SHA256_EXT_OBJ) -o $@
